# useJUnit

abstract fun useJUnit()

Use the JUnit4 testing framework.

Gradle will provide the version of JUnit4 to use. Defaults to version `4.13.2`

abstract fun useJUnit(version: String)

Use the JUnit4 testing framework with a specific version.

#### Parameters

version

version of JUnit4 to use

abstract fun useJUnit(version: Provider<String>)

Use the JUnit4 testing framework with a specific version.

#### Since

7.6

#### Parameters

version

provider supplying the version of JUnit4 to use